CE 4.10.x + php 7.1


#1

Hallo,

beim Hoster wurde php 7.1 aktiviert, nun funzt mein Shop nicht mehr, erhalte im Browser leere weise Seite?


#2

ja, sowas passiert.


#3

hallo vanilla_thundert, wie kann ich oxid auf 7.1 um / einstellen. Kannst du helfen?


#4

nutze die Forum- oder Google-Suche, es gibt da ein paar Schritt-für-Schritt Tutorials


#5

Vielleicht hilft dir folgender Artikel, leider nicht von uns :wink:
https://www.zoks.net/kompatibilitat-von-oxid-shop-ce-und-php-7-0/


#6

Danke, für den Link, nein leider ohne Erfolg.


#7

Möglicherweise liegt es auch an dem einen oder anderen Modul, welches nicht für PHP 7 kompatibel ist. Es gibt ja einige die verschlüsselt sind und da dann auch zu Problemen führen.
Welche Module hast du den im Shop installiert gehabt?


#8

Das war eine gute Idee, danke habe D3 Module deaktiviert und siehe da es geht mit der 7.1 php Version,heureka. Habe auch die Beispiele von der Zoks Seite umgesetzt. Gibt es noch etwas zu beachten?

Hier fällt sofort MySQL ins Auge.


#9

Wurde in der config.inc.php folgender Eintrag schon angepasst?
$this->dbType = ‘mysql’;
zu
$this->dbType = ‘mysqli’;
?


#10

ja habe die Zeile abgeändert; $this->dbType = ‘mysqli’;


#11

das ist schon richtig, weil der Systemcheck der 4.10 nur mysql prüft, php7 aber kein mysql sondern nur noch mysqli hat.


#12

Hallo, wir stellen auf Anfrage auch für ältere Modulversionen PHP 7.0/7.1 kompilierte Versionen zur Verfügung. Wir können nur keine Funktionsgarantie geben, da diese unter diesen Umgebungen nicht getestet wurden.


#13

Ok, vielen Dank und wer ist wir?

Habe zwar diese Meldung: “MySQL Client Connector für MySQL 5”, konnte aber bis jetzt keine Gravierende Mängel feststellen, bis auf die rote Einfärbung. Und das ich keine Statistiken mehr erhalte, siehe Bild.

.

Wer kann mir bei den mittlerweile zwei Unschönheiten, weiterhelfen?